apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: filebeat-ds
  namespace: default
spec:
  selector:
    matchLabels:
      app: filebeat-ds
      release: canary
  template:
    metadata:
      name: filebeat-ds-pod
      labels:
        app: filebeat-ds
        release: canary
    spec:
      containers:
      - name: filebeat-ds-1
        image: gcriogooglesamples/k8s-filebeat:1.0
        # env:
        # - name: http
        #   value: redis.default.svc.kb.cx
